> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modo.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dashboard data

> Retrieve dashboard statistics and metrics



## OpenAPI

````yaml /api/modo-canton.json get /v1/dashboard
openapi: 3.0.1
info:
  title: Canton mainnet API
  description: >-
    This is the new API Module implementation. The Canton Blockchain API is used
    to retrieve Canton Blockchain data. In order to execute queries you need to
    get API Key and use it in header 'x-api-key'. However, before that you need
    to sign up on the explorer or company website. If an account is created on
    the website <strong>https://staketab.com/</strong> or
    <strong>https://cc.modo.link/</strong>, the user will be granted the
    <strong>ROLE_USER</strong> role. After that you may fetch API KEY.
  termsOfService: terms-of-service
  contact:
    name: Staketab tech support
    url: https://staketab.com/
    email: support@staketab.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.0.0
servers:
  - url: https://api.modo.link/canton-mainnet
    description: Production
security:
  - x-api-key: []
tags:
  - name: Contracts
    description: Contract endpoints
  - name: Tokens
    description: Token endpoints
  - name: Market Info
    description: Market info endpoints
  - name: Updates
    description: Update endpoints
  - name: Validators
    description: Validator management endpoints
  - name: Transfers
    description: Transfer endpoints
  - name: Dashboard
    description: Dashboard endpoints
  - name: Events
    description: Event endpoints
  - name: Governance
    description: Governance endpoints
  - name: Super Validators
    description: Super Validator management endpoints
  - name: Featured Apps
    description: Featured Apps endpoints
  - name: Parties
    description: Party management endpoints
  - name: Rewards
    description: Rewards endpoints
paths:
  /v1/dashboard:
    get:
      tags:
        - Dashboard
      summary: Get dashboard data
      description: Retrieve dashboard statistics and metrics
      operationId: getDashboard
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DashboardDtoAPI'
components:
  schemas:
    DashboardDtoAPI:
      type: object
      properties:
        totalTransactions:
          type: integer
          format: int64
        totalEvents:
          type: integer
          format: int64
        totalTransfers:
          type: integer
          format: int64
        totalAccounts:
          type: integer
          format: int64
        totalValidators:
          type: integer
          format: int64
        totalActiveValidators:
          type: integer
          format: int64
        totalInactiveValidators:
          type: integer
          format: int64
        totalSuperValidators:
          type: integer
          format: int64
        totalVoteRequests:
          type: integer
          format: int64
        approvedVoteRequests:
          type: integer
          format: int64
        activeVoteRequests:
          type: integer
          format: int64
        tps:
          type: integer
          format: int64
        avgDayTps:
          type: integer
          format: int64
        avgDayTpsChange:
          type: integer
          format: int64
        monthPeakTps:
          type: integer
          format: int64
        cps:
          type: integer
          format: int64
        avgDayCps:
          type: integer
          format: int64
        avgDayCpsChange:
          type: integer
          format: int64
        monthPeakCps:
          type: integer
          format: int64
        migration:
          type: integer
          format: int64
        latestRound:
          type: integer
          format: int64
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header

````